Subject: Re: [OT?] git tools at SourceForge ?

From: "Kirby C. Bohling" <[email-masked]>
Date: Fri, 12 Aug 2005 16:06:11 -0500

On Fri, Aug 12, 2005 at 04:46:34PM -0400, Daniel Barkalow wrote:
> On Fri, 12 Aug 2005, Wolfgang Denk wrote:
> 
> > This is somewhat off topic here, so I apologize, but  I  didn't  know
> > any better place to ask:
> > 
> > Has anybody any information if SourceForge is going to provide git  /
> > cogito / ... for the projects they host? I asked SF, and they openend
> > a new Feature Request (item #1252867); the message I received sounded
> > as if I was the first person on the planet to ask...
> > 
> > Am I really alone with this?
> 
> The git architecture makes the central server less important, and it's 
> easy to run your own. Also, kernel.org is providing space to a set of 
> people with a large overlap with git users, since git hasn't been 
> particularly publicized and kernel.org is hosting git.
> 

I don't think he wants sourceforge to host git, I think he'd like
sourceforge to provide access to source trees via git, instead of
cvs.  Read that as, I want to do:

git pull http://www.sourceforge.net/packageName

instead of:

cvs -d pserver:www.sourceforge.net co packageName

	While it might be easy to host your own project, Linus has some
infamous quote I'll paraphrase as "Real men don't make backups, they
upload to public FTP and let other's make backups...".

	I know if I was working on OSS project, I wouldn't be too
heartbroken to let someone else run the security, backup, and
general SA duties for me.  More time to write code that way...

    Kirby